org.h2.value

## Class ValueStringIgnoreCase

- java.lang.Object
- - org.h2.value.VersionedValue
  - - org.h2.value.Value
    - - org.h2.value.ValueString
      - - org.h2.value.ValueStringIgnoreCase

    public class ValueStringIgnoreCase
    extends ValueString

Implementation of the VARCHAR_IGNORECASE data type.

### Field Summary

### Fields inherited from class org.h2.value.ValueString

`value`

### Fields inherited from class org.h2.value.Value

`ARRAY, BLOB, BOOLEAN, BYTE, BYTES, CLOB, DATE, DECIMAL, DOUBLE, ENUM, FLOAT, GEOMETRY, INT, INTERVAL_DAY, INTERVAL_DAY_TO_HOUR, INTERVAL_DAY_TO_MINUTE, INTERVAL_DAY_TO_SECOND, INTERVAL_HOUR, INTERVAL_HOUR_TO_MINUTE, INTERVAL_HOUR_TO_SECOND, INTERVAL_MINUTE, INTERVAL_MINUTE_TO_SECOND, INTERVAL_MONTH, INTERVAL_SECOND, INTERVAL_YEAR, INTERVAL_YEAR_TO_MONTH, JAVA_OBJECT, LONG, MIN_LONG_DECIMAL, NULL, RESULT_SET, ROW, SHORT, STRING, STRING_FIXED, STRING_IGNORECASE, TIME, TIMESTAMP, TIMESTAMP_TZ, TYPE_COUNT, UNKNOWN, UUID`

### Fields inherited from class org.h2.value.VersionedValue

`DUMMY`

### Constructor Summary

Constructors
`protected` `ValueStringIgnoreCase(java.lang.String value)`

### Method Summary

Methods
`int` `compareTypeSafe(Value o, CompareMode mode)` Compare this value against another value given that the values are of the same data type.
`boolean` `equals(java.lang.Object other)` Check if the two values have the same hash code.
`static ValueStringIgnoreCase` `get(java.lang.String s)` Get or create a case insensitive string value for the given string.
`protected ValueString` `getNew(java.lang.String s)` Create a new String value of the current class.
`java.lang.StringBuilder` `getSQL(java.lang.StringBuilder builder)` Appends the SQL expression for this value to the specified builder.
`int` `getValueType()` Get the value type.
`int` `hashCode()`

### Methods inherited from class org.h2.value.ValueString

`convertPrecision, get, getMemory, getObject, getString, getType, set`

### Methods inherited from class org.h2.value.Value

`add, checkPrecision, clearCache, compareTo, compareWithNull, containsNull, convertScale, convertTo, convertTo, convertTo, convertTo, convertToInt, copy, copyToResult, copyToTemp, divide, getBigDecimal, getBoolean, getByte, getBytes, getBytesNoCopy, getDataHandler, getDate, getDouble, getFloat, getHigherOrder, getHigherType, getInputStream, getInputStream, getInt, getLong, getReader, getReader, getResult, getShort, getSignum, getSmall, getSQL, getTableId, getTime, getTimestamp, getTraceSQL, getUnsupportedExceptionForOperation, isLinkedToTable, modulus, multiply, negate, remove, subtract, toString`

### Methods inherited from class org.h2.value.VersionedValue

`getCommittedValue, getCurrentValue, getOperationId, isCommitted`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValueStringIgnoreCase

    protected ValueStringIgnoreCase(java.lang.String value)

### Method Detail

#### getValueType

    public int getValueType()

Description copied from class: `Value`
Get the value type.

Overrides:
  `getValueType` in class `ValueString`
Returns:
  the value type

#### compareTypeSafe

    public int compareTypeSafe(Value o,
                      CompareMode mode)

Description copied from class: `Value`
Compare this value against another value given that the values are of the same data type.

Overrides:
  `compareTypeSafe` in class `ValueString`
Parameters:
  `o` - the other value
  `mode` - the compare mode
Returns:
  0 if both values are equal, -1 if the other value is smaller, and 1 otherwise

#### equals

    public boolean equals(java.lang.Object other)

Description copied from class: `Value`
Check if the two values have the same hash code. No data conversion is made; this method returns false if the other object is not of the same class. For some values, compareTo may return 0 even if equals return false. Example: ValueDecimal 0.0 and 0.00.

Overrides:
  `equals` in class `ValueString`
Parameters:
  `other` - the other value
Returns:
  true if they are equal

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ValueString`

#### getSQL

    public java.lang.StringBuilder getSQL(java.lang.StringBuilder builder)

Description copied from class: `Value`
Appends the SQL expression for this value to the specified builder.

Overrides:
  `getSQL` in class `ValueString`
Parameters:
  `builder` - string builder
Returns:
  the specified string builder

#### get

    public static ValueStringIgnoreCase get(java.lang.String s)

Get or create a case insensitive string value for the given string. The value will have the same case as the passed string.

Parameters:
  `s` - the string
Returns:
  the value

#### getNew

    protected ValueString getNew(java.lang.String s)

Description copied from class: `ValueString`
Create a new String value of the current class. This method is meant to be overridden by subclasses.

Overrides:
  `getNew` in class `ValueString`
Parameters:
  `s` - the string
Returns:
  the value